Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-vcs/git: ChangeLog git-1.7.8.ebuild git-1.7.8_rc1-r1.ebuild git-1.7.8_rc4.ebuild git-1.7.8_rc1.ebuild git-1.7.8_rc3.ebuild
Date: Sat, 03 Dec 2011 01:57:31
Message-Id: 20111203015716.69CED2004B@flycatcher.gentoo.org
1 robbat2 11/12/03 01:57:16
2
3 Modified: ChangeLog
4 Added: git-1.7.8.ebuild
5 Removed: git-1.7.8_rc1-r1.ebuild git-1.7.8_rc4.ebuild
6 git-1.7.8_rc1.ebuild git-1.7.8_rc3.ebuild
7 Log:
8 Version bump.
9
10 (Portage version: 2.2.0_alpha79/cvs/Linux x86_64)
11
12 Revision Changes Path
13 1.112 dev-vcs/git/ChangeLog
14
15 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?rev=1.112&view=markup
16 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?rev=1.112&content-type=text/plain
17 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?r1=1.111&r2=1.112
18
19 Index: ChangeLog
20 ===================================================================
21 RCS file: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v
22 retrieving revision 1.111
23 retrieving revision 1.112
24 diff -p -w -b -B -u -u -r1.111 -r1.112
25 --- ChangeLog 29 Nov 2011 00:20:59 -0000 1.111
26 +++ ChangeLog 3 Dec 2011 01:57:16 -0000 1.112
27 @@ -1,6 +1,13 @@
28 # ChangeLog for dev-vcs/git
29 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
30 -# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v 1.111 2011/11/29 00:20:59 robbat2 Exp $
31 +# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v 1.112 2011/12/03 01:57:16 robbat2 Exp $
32 +
33 +*git-1.7.8 (03 Dec 2011)
34 +
35 + 03 Dec 2011; Robin H. Johnson <robbat2@g.o> -git-1.7.8_rc1.ebuild,
36 + -git-1.7.8_rc1-r1.ebuild, -git-1.7.8_rc3.ebuild, -git-1.7.8_rc4.ebuild,
37 + +git-1.7.8.ebuild:
38 + Version bump.
39
40 *git-1.7.8_rc4 (29 Nov 2011)
41
42
43
44
45 1.1 dev-vcs/git/git-1.7.8.ebuild
46
47 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/git-1.7.8.ebuild?rev=1.1&view=markup
48 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/git-1.7.8.ebuild?rev=1.1&content-type=text/plain
49
50 Index: git-1.7.8.ebuild
51 ===================================================================
52 # Copyright 1999-2011 Gentoo Foundation
53 # Distributed under the terms of the GNU General Public License v2
54 # $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.8.ebuild,v 1.1 2011/12/03 01:57:16 robbat2 Exp $
55
56 EAPI=4
57
58 GENTOO_DEPEND_ON_PERL=no
59
60 # bug #329479: git-remote-testgit is not multiple-version aware
61 PYTHON_DEPEND="python? 2"
62 [[ ${PV} == *9999 ]] && SCM="git-2"
63 EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
64
65 inherit toolchain-funcs eutils elisp-common perl-module bash-completion-r1 python ${SCM}
66
67 MY_PV="${PV/_rc/.rc}"
68 MY_P="${PN}-${MY_PV}"
69
70 DOC_VER=${MY_PV}
71
72 DESCRIPTION="GIT - the stupid content tracker, the revision control system heavily used by the Linux kernel team"
73 HOMEPAGE="http://www.git-scm.com/"
74 if [[ ${PV} != *9999 ]]; then
75 SRC_URI_SUFFIX="gz"
76 SRC_URI_GOOG="http://git-core.googlecode.com/files"
77 SRC_URI_KORG="mirror://kernel/software/scm/git"
78 SRC_URI="${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
79 ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}
80 ${SRC_URI_GOOG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
81 ${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
82 doc? (
83 ${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
84 ${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
85 )"
86 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
87 else
88 SRC_URI=""
89 KEYWORDS=""
90 fi
91
92 LICENSE="GPL-2"
93 SLOT="0"
94 IUSE="+blksha1 +curl cgi doc emacs gtk iconv +perl +python ppcsha1 tk +threads +webdav xinetd cvs subversion"
95
96 # Common to both DEPEND and RDEPEND
97 CDEPEND="
98 !blksha1? ( dev-libs/openssl )
99 sys-libs/zlib
100 perl? ( dev-lang/perl[-build] dev-libs/libpcre )
101 tk? ( dev-lang/tk )
102 curl? (
103 net-misc/curl
104 webdav? ( dev-libs/expat )
105 )
106 emacs? ( virtual/emacs )"
107
108 RDEPEND="${CDEPEND}
109 perl? ( dev-perl/Error
110 dev-perl/Net-SMTP-SSL
111 dev-perl/Authen-SASL
112 cgi? ( virtual/perl-CGI )
113 cvs? ( >=dev-vcs/cvsps-2.1 dev-perl/DBI dev-perl/DBD-SQLite )
114 subversion? ( dev-vcs/subversion[-dso,perl] dev-perl/libwww-perl dev-perl/TermReadKey )
115 )
116 python? ( gtk?
117 (
118 >=dev-python/pygtk-2.8
119 dev-python/pygtksourceview:2
120 ) )"
121
122 # This is how info docs are created with Git:
123 # .txt/asciidoc --(asciidoc)---------> .xml/docbook
124 # .xml/docbook --(docbook2texi.pl)--> .texi
125 # .texi --(makeinfo)---------> .info
126 DEPEND="${CDEPEND}
127 app-arch/cpio
128 doc? (
129 app-text/asciidoc
130 app-text/docbook2X
131 sys-apps/texinfo
132 )"
133
134 # Live ebuild builds man pages and HTML docs, additionally
135 if [[ ${PV} == *9999 ]]; then
136 DEPEND="${DEPEND}
137 app-text/asciidoc
138 app-text/xmlto"
139 fi
140
141 SITEFILE=50${PN}-gentoo.el
142 S="${WORKDIR}/${MY_P}"
143
144 REQUIRED_USE="
145 cgi? ( perl )
146 cvs? ( perl )
147 subversion? ( perl )
148 webdav? ( curl )
149 "
150
151 pkg_setup() {
152 if use subversion && has_version dev-vcs/subversion && built_with_use --missing false dev-vcs/subversion dso ; then
153 ewarn "Per Gentoo bugs #223747, #238586, when subversion is built"
154 ewarn "with USE=dso, there may be weird crashes in git-svn. You"
155 ewarn "have been warned."
156 fi
157 if use python ; then
158 python_set_active_version 2
159 python_pkg_setup
160 fi
161 }
162
163 # This is needed because for some obscure reasons future calls to make don't
164 # pick up these exports if we export them in src_unpack()
165 exportmakeopts() {
166 local myopts
167
168 if use blksha1 ; then
169 myopts="${myopts} BLK_SHA1=YesPlease"
170 elif use ppcsha1 ; then
171 myopts="${myopts} PPC_SHA1=YesPlease"
172 fi
173
174 if use curl ; then
175 use webdav || myopts="${myopts} NO_EXPAT=YesPlease"
176 else
177 myopts="${myopts} NO_CURL=YesPlease"
178 fi
179
180 # broken assumptions, because of broken build system ...
181 myopts="${myopts} NO_FINK=YesPlease NO_DARWIN_PORTS=YesPlease"
182 myopts="${myopts} INSTALL=install TAR=tar"
183 myopts="${myopts} SHELL_PATH=${EPREFIX}/bin/sh"
184 myopts="${myopts} SANE_TOOL_PATH="
185 myopts="${myopts} OLD_ICONV="
186 myopts="${myopts} NO_EXTERNAL_GREP="
187
188 # can't define this to null, since the entire makefile depends on it
189 sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile
190
191 use iconv \
192 || einfo "Forcing iconv for ${PVR} due to bugs #321895, #322205."
193 # || myopts="${myopts} NO_ICONV=YesPlease"
194 # because, above, we need to do this unconditionally (no "&& use iconv")
195 use !elibc_glibc && myopts="${myopts} NEEDS_LIBICONV=YesPlease"
196
197 use tk \
198 || myopts="${myopts} NO_TCLTK=YesPlease"
199 use perl \
200 && myopts="${myopts} INSTALLDIRS=vendor USE_LIBPCRE=yes" \
201 || myopts="${myopts} NO_PERL=YesPlease"
202 use python \
203 || myopts="${myopts} NO_PYTHON=YesPlease"
204 use subversion \
205 || myopts="${myopts} NO_SVN_TESTS=YesPlease"
206 use threads \
207 && myopts="${myopts} THREADED_DELTA_SEARCH=YesPlease"
208 use cvs \
209 || myopts="${myopts} NO_CVS=YesPlease"
210 # Disabled until ~m68k-mint can be keyworded again
211 # if [[ ${CHOST} == *-mint* ]] ; then
212 # myopts="${myopts} NO_MMAP=YesPlease"
213 # myopts="${myopts} NO_IPV6=YesPlease"
214 # myopts="${myopts} NO_STRLCPY=YesPlease"
215 # myopts="${myopts} NO_MEMMEM=YesPlease"
216 # myopts="${myopts} NO_MKDTEMP=YesPlease"
217 # myopts="${myopts} NO_MKSTEMPS=YesPlease"
218 # fi
219 if [[ ${CHOST} == ia64-*-hpux* ]]; then
220 myopts="${myopts} NO_NSEC=YesPlease"
221 fi
222 if [[ ${CHOST} == *-*-aix* ]]; then
223 myopts="${myopts} NO_FNMATCH_CASEFOLD=YesPlease"
224 fi
225
226 has_version '>=app-text/asciidoc-8.0' \
227 && myopts="${myopts} ASCIIDOC8=YesPlease"
228 myopts="${myopts} ASCIIDOC_NO_ROFF=YesPlease"
229
230 # Bug 290465:
231 # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
232 [[ "${CHOST}" == *-uclibc* ]] && \
233 myopts="${myopts} NO_NSEC=YesPlease"
234
235 export MY_MAKEOPTS="${myopts}"
236 }
237
238 src_unpack() {
239 if [[ ${PV} != *9999 ]]; then
240 unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
241 cd "${S}"
242 unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
243 use doc && \
244 cd "${S}"/Documentation && \
245 unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
246 cd "${S}"
247 else
248 git-2_src_unpack
249 cd "${S}"
250 #cp "${FILESDIR}"/GIT-VERSION-GEN .
251 fi
252
253 }
254
255 src_prepare() {
256 # Noperl is being merged to upstream as of 2009/04/05
257 #epatch "${FILESDIR}"/20090305-git-1.6.2-noperl.patch
258
259 # GetOpt-Long v2.38 is strict
260 # Merged in 1.6.3 final 2009/05/07
261 #epatch "${FILESDIR}"/20090505-git-1.6.2.5-getopt-fixes.patch
262
263 # JS install fixup
264 # Merged in 1.7.5.x
265 #epatch "${FILESDIR}"/git-1.7.2-always-install-js.patch
266
267 # USE=-iconv causes segfaults, fixed post 1.7.1
268 # Gentoo bug #321895
269 #epatch "${FILESDIR}"/git-1.7.1-noiconv-segfault-fix.patch
270
271 # Fix false positives with t3404 due to SHELL=/bin/false for the portage
272 # user.
273 # Merged upstream
274 #epatch "${FILESDIR}"/git-1.7.3.4-avoid-shell-issues.patch
275
276 # bug #350075: t9001: fix missing prereq on some tests
277 # Merged upstream
278 #epatch "${FILESDIR}"/git-1.7.3.4-fix-perl-test-prereq.patch
279
280 # bug #350330 - automagic CVS when we don't want it is bad.
281 epatch "${FILESDIR}"/git-1.7.3.5-optional-cvs.patch
282
283 sed -i \
284 -e 's:^\(CFLAGS =\).*$:\1 $(OPTCFLAGS) -Wall:' \
285 -e 's:^\(LDFLAGS =\).*$:\1 $(OPTLDFLAGS):' \
286 -e 's:^\(CC = \).*$:\1$(OPTCC):' \
287 -e 's:^\(AR = \).*$:\1$(OPTAR):' \
288 -e "s:\(PYTHON_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
289 -e "s:\(PERL_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
290 Makefile || die "sed failed"
291
292 # Never install the private copy of Error.pm (bug #296310)
293 sed -i \
294 -e '/private-Error.pm/s,^,#,' \
295 perl/Makefile.PL
296
297 # Fix docbook2texi command
298 sed -i 's/DOCBOOK2X_TEXI=docbook2x-texi/DOCBOOK2X_TEXI=docbook2texi.pl/' \
299 Documentation/Makefile || die "sed failed"
300
301 # bug #318289
302 # Merged upstream
303 #epatch "${FILESDIR}"/git-1.7.3.2-interix.patch
304
305 # merged upstream
306 #epatch "${FILESDIR}"/git-1.7.5-interix.patch
307
308 # merged upstream
309 #epatch "${FILESDIR}"/git-1.7.6-interix.patch
310 }
311
312 git_emake() {
313 # bug #326625: PERL_PATH, PERL_MM_OPT
314 # bug #320647: PYTHON_PATH
315 PYTHON_PATH=""
316 use python && PYTHON_PATH="$(PYTHON -a)"
317 emake ${MY_MAKEOPTS} \
318 DESTDIR="${D}" \
319 OPTCFLAGS="${CFLAGS}" \
320 OPTLDFLAGS="${LDFLAGS}" \
321 OPTCC="$(tc-getCC)" \
322 OPTAR="$(tc-getAR)" \
323 prefix="${EPREFIX}"/usr \
324 htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
325 sysconfdir="${EPREFIX}"/etc \
326 PYTHON_PATH="${PYTHON_PATH}" \
327 PERL_MM_OPT="" \
328 GIT_TEST_OPTS="--no-color" \
329 "$@"
330 # This is the fix for bug #326625, but it also causes breakage, see bug
331 # #352693.
332 # PERL_PATH="${EPREFIX}/usr/bin/env perl" \
333 }
334
335 src_configure() {
336 exportmakeopts
337 }
338
339 src_compile() {
340 git_emake || die "emake failed"
341
342 if use emacs ; then
343 elisp-compile contrib/emacs/git{,-blame}.el \
344 || die "emacs modules failed"
345 fi
346
347 if use perl && use cgi ; then
348 git_emake \
349 gitweb/gitweb.cgi \
350 || die "emake gitweb/gitweb.cgi failed"
351 fi
352
353 cd "${S}"/Documentation
354 if [[ ${PV} == *9999 ]] ; then
355 git_emake man \
356 || die "emake man failed"
357 if use doc ; then
358 git_emake info html \
359 || die "emake info html failed"
360 fi
361 else
362 if use doc ; then
363 git_emake info \
364 || die "emake info html failed"
365 fi
366 fi
367 }
368
369 src_install() {
370 git_emake \
371 install || \
372 die "make install failed"
373
374 # Depending on the tarball and manual rebuild of the documentation, the
375 # manpages may exist in either OR both of these directories.
376 find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
377 find Documentation/*.[157] >/dev/null 2>&1 && doman Documentation/*.[157]
378
379 dodoc README Documentation/{SubmittingPatches,CodingGuidelines}
380 use doc && dodir /usr/share/doc/${PF}/html
381 for d in / /howto/ /technical/ ; do
382 docinto ${d}
383 dodoc Documentation${d}*.txt
384 use doc && dohtml -p ${d} Documentation${d}*.html
385 done
386 docinto /
387 # Upstream does not ship this pre-built :-(
388 use doc && doinfo Documentation/{git,gitman}.info
389
390 newbashcomp contrib/completion/git-completion.bash ${PN}
391
392 if use emacs ; then
393 elisp-install ${PN} contrib/emacs/git.{el,elc} || die
394 elisp-install ${PN} contrib/emacs/git-blame.{el,elc} || die
395 #elisp-install ${PN}/compat contrib/emacs/vc-git.{el,elc} || die
396 # don't add automatically to the load-path, so the sitefile
397 # can do a conditional loading
398 touch "${ED}${SITELISP}/${PN}/compat/.nosearch"
399 elisp-site-file-install "${FILESDIR}"/${SITEFILE} || die
400 fi
401
402 if use python && use gtk ; then
403 dobin "${S}"/contrib/gitview/gitview
404 python_convert_shebangs ${PYTHON_ABI} "${ED}"/usr/bin/gitview
405 dodoc "${S}"/contrib/gitview/gitview.txt
406 fi
407
408 dobin contrib/fast-import/git-p4
409 dodoc contrib/fast-import/git-p4.txt
410 newbin contrib/fast-import/import-tars.perl import-tars
411 newbin contrib/git-resurrect.sh git-resurrect
412
413 dodir /usr/share/${PN}/contrib
414 # The following are excluded:
415 # completion - installed above
416 # emacs - installed above
417 # examples - these are stuff that is not used in Git anymore actually
418 # gitview - installed above
419 # p4import - excluded because fast-import has a better one
420 # patches - stuff the Git guys made to go upstream to other places
421 # svnimport - use git-svn
422 # thunderbird-patch-inline - fixes thunderbird
423 for i in \
424 blameview buildsystems ciabot continuous convert-objects fast-import \
425 hg-to-git hooks remotes2config.sh remotes2config.sh rerere-train.sh \
426 stats svn-fe vim workdir \
427 ; do
428 cp -rf \
429 "${S}"/contrib/${i} \
430 "${ED}"/usr/share/${PN}/contrib \
431 || die "Failed contrib ${i}"
432 done
433
434 if use perl && use cgi ; then
435 # We used to install in /usr/share/${PN}/gitweb
436 # but upstream installs in /usr/share/gitweb
437 # so we will install a symlink and use their location for compat with other
438 # distros
439 dosym /usr/share/gitweb /usr/share/${PN}/gitweb
440
441 # INSTALL discusses configuration issues, not just installation
442 docinto /
443 newdoc "${S}"/gitweb/INSTALL INSTALL.gitweb
444 newdoc "${S}"/gitweb/README README.gitweb
445
446 find "${ED}"/usr/lib64/perl5/ \
447 -name .packlist \
448 -exec rm \{\} \;
449 else
450 rm -rf "${ED}"/usr/share/gitweb
451 fi
452
453 if ! use subversion ; then
454 rm -f "${ED}"/usr/libexec/git-core/git-svn \
455 "${ED}"/usr/share/man/man1/git-svn.1*
456 fi
457
458 if use xinetd ; then
459 insinto /etc/xinetd.d
460 newins "${FILESDIR}"/git-daemon.xinetd git-daemon
461 fi
462
463 newinitd "${FILESDIR}"/git-daemon.initd git-daemon
464 newconfd "${FILESDIR}"/git-daemon.confd git-daemon
465
466 fixlocalpod
467 }
468
469 src_test() {
470 local disabled=""
471 local tests_cvs="t9200-git-cvsexportcommit.sh \
472 t9400-git-cvsserver-server.sh \
473 t9401-git-cvsserver-crlf.sh \
474 t9600-cvsimport.sh \
475 t9601-cvsimport-vendor-branch.sh \
476 t9602-cvsimport-branches-tags.sh \
477 t9603-cvsimport-patchsets.sh"
478 local tests_perl="t5502-quickfetch.sh \
479 t5512-ls-remote.sh \
480 t5520-pull.sh"
481 # Bug #225601 - t0004 is not suitable for root perm
482 # Bug #219839 - t1004 is not suitable for root perm
483 # t0001-init.sh - check for init notices EPERM* fails
484 local tests_nonroot="t0001-init.sh \
485 t0004-unwritable.sh \
486 t0070-fundamental.sh \
487 t1004-read-tree-m-u-wf.sh \
488 t3700-add.sh \
489 t7300-clean.sh"
490
491 # Unzip is used only for the testcase code, not by any normal parts of Git.
492 if ! has_version app-arch/unzip ; then
493 einfo "Disabling tar-tree tests"
494 disabled="${disabled} t5000-tar-tree.sh"
495 fi
496
497 cvs=0
498 use cvs && let cvs=$cvs+1
499 if [[ ${EUID} -eq 0 ]]; then
500 if [[ $cvs -eq 1 ]]; then
501 ewarn "Skipping CVS tests because CVS does not work as root!"
502 ewarn "You should retest with FEATURES=userpriv!"
503 disabled="${disabled} ${tests_cvs}"
504 fi
505 einfo "Skipping other tests that require being non-root"
506 disabled="${disabled} ${tests_nonroot}"
507 else
508 [[ $cvs -gt 0 ]] && \
509 has_version dev-vcs/cvs && \
510 let cvs=$cvs+1
511 [[ $cvs -gt 1 ]] && \
512 built_with_use dev-vcs/cvs server && \
513 let cvs=$cvs+1
514 if [[ $cvs -lt 3 ]]; then
515 einfo "Disabling CVS tests (needs dev-vcs/cvs[USE=server])"
516 disabled="${disabled} ${tests_cvs}"
517 fi
518 fi
519
520 if ! use perl ; then
521 einfo "Disabling tests that need Perl"
522 disabled="${disabled} ${tests_perl}"
523 fi
524
525 # Reset all previously disabled tests
526 cd "${S}/t"
527 for i in *.sh.DISABLED ; do
528 [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
529 done
530 einfo "Disabled tests:"
531 for i in ${disabled} ; do
532 [[ -f "${i}" ]] && mv -f "${i}" "${i}.DISABLED" && einfo "Disabled $i"
533 done
534
535 # Avoid the test system removing the results because we want them ourselves
536 sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' \
537 -i "${S}"/t/Makefile
538
539 # Clean old results first
540 cd "${S}/t"
541 git_emake clean
542
543 # Now run the tests
544 cd "${S}"
545 einfo "Start test run"
546 git_emake test
547 rc=$?
548
549 # Display nice results
550 cd "${S}/t"
551 git_emake aggregate-results
552
553 # And exit
554 [ $rc -eq 0 ] || die "tests failed. Please file a bug."
555 }
556
557 showpkgdeps() {
558 local pkg=$1
559 shift
560 elog " $(printf "%-17s:" ${pkg}) ${@}"
561 }
562
563 pkg_postinst() {
564 use emacs && elisp-site-regen
565 use python && python_mod_optimize git_remote_helpers
566 einfo "Please read /usr/share/bash-completion/git for Git bash completion"
567 elog "These additional scripts need some dependencies:"
568 echo
569 showpkgdeps git-quiltimport "dev-util/quilt"
570 showpkgdeps git-instaweb \
571 "|| ( www-servers/lighttpd www-servers/apache )"
572 echo
573 }
574
575 pkg_postrm() {
576 use emacs && elisp-site-regen
577 use python && python_mod_cleanup git_remote_helpers
578 }